Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class STCAttributesImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.STCAttributesImpl

All Implemented Interfaces:
  STCAttributes

    public class STCAttributesImpl

extends java.lang.Object
implements STCAttributes

This class is used as a container for the attributes of an entry

Version:
  $Revision: 1.4 $
Author:

Constructor Summary
`protected` | `STCAttributesImpl()`
`protected` | `STCAttributesImpl(javax.naming.NamingEnumeration attributeListEnum)` Creates a new instance of STCAttributes

Method Summary
`int` | `countSTCAttribute()` Returns the number of attributes
`STCAttribute` | `getSTCAttribute(int i)` Returns the attribute at the specified index from the array of attributes
`void` | `reset()` Method to reset the values

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STCAttributesImpl

    protected STCAttributesImpl()

### STCAttributesImpl

    protected STCAttributesImpl(javax.naming.NamingEnumeration attributeListEnum)
                         throws javax.naming.NamingException

  Creates a new instance of STCAttributes

  Parameters:
    `attributeListEnum` - the enumeration of attributes
  Throws:
    `javax.naming.NamingException` - if an error occurs while retrieving the attributes

Method Detail

### countSTCAttribute

    public int countSTCAttribute()

  Returns the number of attributes

  Specified by:
    `countSTCAttribute` in interface `STCAttributes`
  Returns:
    the count of attributes

### getSTCAttribute

    public STCAttribute getSTCAttribute(int i)
                                 throws java.lang.IndexOutOfBoundsException

  Returns the attribute at the specified index from the array of attributes

  Specified by:
    `getSTCAttribute` in interface `STCAttributes`
  Parameters:
    `i` - the index of the attribute to be returned
  Returns:
    the attribute as a STCAttribute object
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index specified is not in range

### reset

    public void reset()

  Method to reset the values

  Specified by:
    `reset` in interface `STCAttributes`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD